- Main Page
- Modules
- Classes
- Namespaces
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
List of all members | Public Member Functions
ExtendableGraphComponent< BAS > Class Template Reference

## Detailed Description

### template<typename BAS = BaseGraphComponent>
class lemon::concepts::ExtendableGraphComponent< BAS >

This class describes the interface of extendable undirected graphs. It extends BaseGraphComponent with functions for adding nodes and edges to the graph. This concept requires AlterableGraphComponent.

`#include <lemon/concepts/graph_components.h>`

Inherits BAS.

## Public Member Functions
Node | addNode ()
| Add a new node to the digraph. More...
Edge | addEdge (const Node &, const Node &)
| Add a new edge connecting the given two nodes. More...

## Member Function Documentation

Node addNode | ( |  | ) |
| inline

This function adds a new node to the digraph.

Edge addEdge | ( | const Node & | ,
|  | const Node & |
| ) |  |
| inline

This function adds a new edge connecting the given two nodes of the graph.